# Update Channel

Update an existing channel.

Endpoint: PUT /api/v1/user/channels/{channelId}
Version: 1.0.0
Security: apikeyAuth

## Path parameters:

  - `channelId` (string, required)

## Request fields (application/json):

  - `channel` (object, required)

  - `channel._id` (string)
    Channel ID

  - `channel.type` (string, required)
    Type of channel, "webhook" (default) or "email".

  - `channel.webhookURL` (string)
    Webhook URL receiving the notifications.

  - `channel.frequency` (string)
    Frequency of notifications ("live", "hourly", or "daily").

  - `channel.emailAddresses` (array)
    Email addresses receiving the notifications.

  - `channel.utcTime` (string)
    24 hour UTC time that daily emails are sent (e.g. 09:00).

  - `channel.name` (string, required)
    Name of the channel.

  - `channel.isActive` (boolean)
    Whether the channel is active.

  - `channel.isDefault` (boolean)
    Whether the channel is the default (default: false).

  - `channel.ignoreTime` (boolean)
    Whether to ignore time constraints (default: false).

  - `channel.weekDays` (array)
    Days of the week alerts will be generated.

  - `channel.permissions` (array)

## Response 200 fields (application/json):

  - `channel` (object)
    Example: {"_id":"{{channelId}}","type":"webhook","webhookURL":"https://example.com/cgi-bin/urlscan","name":"Test webhook","description":"Webhook testing channel.","isActive":true,"ignoreTime":false}

  - `channel._id` (string)
    Channel ID

  - `channel.type` (string)
    Type of channel, "webhook" or "email".

  - `channel.webhookURL` (string)
    Frequency of notifications.
    Enum: "live", "hourly", "daily"

  - `channel.frequency` (string)
    Frequency of notifications ("live", "hourly", or "daily").

  - `channel.emailAddresses` (array)
    Email addresses receiving the notifications.

  - `channel.utcTime` (string)
    24 hour UTC time that daily emails are sent (e.g. 09:00).

  - `channel.name` (string)
    Name of the subscription.

  - `channel.isActive` (boolean)
    Whether the channel is active.

  - `channel.isDefault` (boolean)
    Whether the channel is the default (default: false).

  - `channel.ignoreTime` (boolean)
    Whether to ignore time constraints (default: false).

  - `channel.weekDays` (array)
    Days of the week alerts will be generated.

  - `channel.permissions` (array)

